CHSH(1)

NAME
chsh - change login shell

SYNOPSIS

chsh [options] [LOGIN]

DESCRIPTION

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account; the superuser may change the login shell for any account.

OPTIONS

The options which apply to the chsh command are:

-h, --help
    Display help message and exit.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shell SHELL
    The name of the user's new login shell. Setting this field to blank causes the system to select the default login shell.

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

NOTE

The only restriction placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the superuser, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CHSH_AUTH (boolean)
    If yes, the chsh program will require authentication before making any changes, unless run by the superuser.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will not be translated.

    If the string contains %s, this will be replaced by the user's name.

FILES

/etc/passwd
    User account information.

/etc/shells
    List of valid login shells.

/etc/login.defs
    Shadow password suite configuration.

SEE ALSO

chfn(1), login.defs(5), passwd(5).